Auto Multiple Choice - Support # 492: Compilation plantée sous Arch, réussie sous Ubuntu

Status: Closed Priority: Normal
Author: pierre sallard Category:

Created: 09/06/2017 Assignee:

Updated: 02/08/2018 Due date:

Description: Bonjour,

avec le projet AMC (version 1.3) , la compilation du sujet se fait bien sous Ubuntu (que je vais tourner sous
machine virtuelle) mais pas sous Arch (OS de base de mon PC). Je joins les deux logs, pour comparaison.
Pourriez-vous SVP m'aider a faire tourner AMC sous Arch ?

Merci

History

09/06/2017 02:14 pm - Alexis Bienveniie
> The encoding pragma is no longer supported at /usr/lib/AMC/perl/AMC-prepare.pl line 21.
AMC utilise une vieille syntaxe incompatible avec perl 5.26 (voir par exemple https://bugs.debian.org/870129).

Cela a été corrigé avec la révision commit:244ae8e0acba.

09/06/2017 06:26 pm - pierre sallard

Alexis Bienvenle wrote:

> > The encoding pragma is no longer supported at /usr/lio/AMC/perl/AMC-prepare.pl line 21.

> AMC utilise une vieille syntaxe incompatible avec perl 5.26 (voir par exemple https://bugs.debian.org/870129).
> Cela a été corrigé avec la révision commit:244ae8e0acba.

Du coup, je télécharge les fichiers concernés par cette révision et je les copie a la place des anciens : c'est bien ¢a ?

09/06/2017 06:47 pm - pierre sallard
- File AMC-DEBUG-c6hIbKg8.log added

pierre sallard wrote:

> Alexis Bienvenie wrote:

> > > The encoding pragma is no longer supported at /usr/lib/AMC/perl/AMC-prepare.pl line 21.

> > AMC utilise une vieille syntaxe incompatible avec perl 5.26 (voir par exemple https://bugs.debian.org/870129).
> > Cela a été corrigé avec la révision commit:244ae8e0acba.

>

>

> Du coup, je télécharge les fichiers concernés par cette révision et je les copie a la place des anciens : c'est bien ga ?

C'est ce que j'ai fait, et la compilation plante maintenant 5 lignes en dessous, a I'appel de "use Clone" : log de deboggage ci-joint.
09/06/2017 06:49 pm - Alexis Bienveniie

La c'est parce qu'il manque le module perl @Clone@.

Le paquet @libclone-perl@ est-il installé ?

09/06/2017 08:35 pm - pierre sallard

Alexis BienvenUe wrote:

> La c'est parce qu'il manque le module perl @Clone@.
> Le paquet @libclone-perl@ est-il installé ?

Sous Arch, l'installation du paquet +perl-clone+ permet de résoudre le probleme. Mille mercis, je retrouve toutes les fonctionalités d'AMC sous Arch.
09/06/2017 08:44 pm - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Resolved

02/08/2018 09:47 am - Alexis Bienveniie
- Status changed from Resolved to Closed

Files

AMC-DEBUG-ArchLinux.log 4.3 kB 09/06/2017 pierre sallard
AMC-DEBUG-Ubuntu.log 36.4 kB 09/06/2017 pierre sallard
AMC-DEBUG-c6hIbKg8.log 4.5kB 09/06/2017 pierre sallard
